{"openapi":"3.0.1","info":{"title":"GRC Authorization Documentation","description":"This is documentation of GRC Auth API's","version":"v1"},"servers":[{"url":"/auth/","description":"Default Server URL"}],"security":[{"auth":[]}],"paths":{"/oauth/user-groups/{id}":{"get":{"tags":["user-groups-controller"],"operationId":"get","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/groupUsersDTO"}}}}}}},"put":{"tags":["user-groups-controller"],"operationId":"update","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserGroupDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UserGroupDTO"}}}}}},"delete":{"tags":["user-groups-controller"],"operationId":"delete","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}}},"/oauth/roles/{id}":{"get":{"tags":["role-resource"],"operationId":"getRole","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RoleDTO"}}}}}},"put":{"tags":["role-resource"],"operationId":"updateRole","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RoleDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RoleDTO"}}}}}},"delete":{"tags":["role-resource"],"operationId":"deleteRole","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}},"patch":{"tags":["role-resource"],"operationId":"partialUpdateRole","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RoleDTO"}},"application/merge-patch+json":{"schema":{"$ref":"#/components/schemas/RoleDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RoleDTO"}}}}}}},"/oauth/permissions/{id}":{"get":{"tags":["permission-resource"],"operationId":"getPermission","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PermissionDTO"}}}}}},"put":{"tags":["permission-resource"],"operationId":"updatePermission","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PermissionDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PermissionDTO"}}}}}},"delete":{"tags":["permission-resource"],"operationId":"deletePermission","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}},"patch":{"tags":["permission-resource"],"operationId":"partialUpdatePermission","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PermissionDTO"}},"application/merge-patch+json":{"schema":{"$ref":"#/components/schemas/PermissionDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PermissionDTO"}}}}}}},"/oauth/features/{id}":{"get":{"tags":["feature-resource"],"operationId":"getFeature","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/FeatureDTO"}}}}}},"put":{"tags":["feature-resource"],"operationId":"updateFeature","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FeatureDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/FeatureDTO"}}}}}},"delete":{"tags":["feature-resource"],"operationId":"deleteFeature","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}},"patch":{"tags":["feature-resource"],"operationId":"partialUpdateFeature","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FeatureDTO"}},"application/merge-patch+json":{"schema":{"$ref":"#/components/schemas/FeatureDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/FeatureDTO"}}}}}}},"/oauth/feature-permissions/{id}":{"get":{"tags":["feature-permission-resource"],"operationId":"getFeaturePermission","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/FeaturePermissionDTO"}}}}}},"put":{"tags":["feature-permission-resource"],"operationId":"updateFeaturePermission","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FeaturePermissionDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/FeaturePermissionDTO"}}}}}},"delete":{"tags":["feature-permission-resource"],"operationId":"deleteFeaturePermission","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}},"patch":{"tags":["feature-permission-resource"],"operationId":"partialUpdateFeaturePermission","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FeaturePermissionDTO"}},"application/merge-patch+json":{"schema":{"$ref":"#/components/schemas/FeaturePermissionDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/FeaturePermissionDTO"}}}}}}},"/oauth/feature-client":{"get":{"tags":["feature-client-resource"],"operationId":"getAllFeatureClient","parameters":[{"name":"clientId","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/FeatureClientResponseDTO"}}}}}}},"put":{"tags":["feature-client-resource"],"operationId":"updateFeatureClients","requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/FeatureClientDTO"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/FeatureClientDTO"}}}}}}},"post":{"tags":["feature-client-resource"],"operationId":"createFeatureClients","requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/FeatureClientDTO"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/FeatureClientDTO"}}}}}}}},"/oauth/app-users":{"get":{"tags":["app-user-resource"],"operationId":"getAppUser","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AppUserDTO"}}}}}},"put":{"tags":["app-user-resource"],"operationId":"updateAppUser","requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AppUserDTO"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AppUserDTO"}}}}}}},"post":{"tags":["app-user-resource"],"operationId":"createAppUser","requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AppUserDTO"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AppUserDTO"}}}}}}}},"/oauth/app-user-roles/{id}":{"get":{"tags":["app-user-role-resource"],"operationId":"getAppUserRole","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AppUserRoleDTO"}}}}}},"put":{"tags":["app-user-role-resource"],"operationId":"updateAppUserRole","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AppUserRoleDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AppUserRoleDTO"}}}}}},"delete":{"tags":["app-user-role-resource"],"operationId":"deleteAppUserRole","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}},"patch":{"tags":["app-user-role-resource"],"operationId":"partialUpdateAppUserRole","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AppUserRoleDTO"}},"application/merge-patch+json":{"schema":{"$ref":"#/components/schemas/AppUserRoleDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AppUserRoleDTO"}}}}}}},"/api/widgets/{id}":{"get":{"tags":["widget-controller"],"operationId":"getById","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Widget"}}}}}},"put":{"tags":["widget-controller"],"operationId":"update_1","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WidgetDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Widget"}}}}}},"delete":{"tags":["widget-controller"],"operationId":"delete_1","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK"}}}},"/api/users":{"get":{"tags":["user-resources"],"operationId":"getUser","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UserDTO"}}}}}},"put":{"tags":["user-resources"],"operationId":"update_2","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/userclientmoduleDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/UserClientModuleResponceDTO"}}}}}}},"post":{"tags":["user-resources"],"operationId":"saveUser","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/userclientmoduleDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/UserClientModuleResponceDTO"}}}}}}}},"/api/sections/{id}":{"get":{"tags":["section-controller"],"operationId":"getById_1","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Section"}}}}}},"put":{"tags":["section-controller"],"operationId":"update_3","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SectionDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Section"}}}}}},"delete":{"tags":["section-controller"],"operationId":"delete_3","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}}},"/api/modules/{id}":{"get":{"tags":["module-resources"],"operationId":"getModuleById","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApplicationModule"}}}}}},"put":{"tags":["module-resources"],"operationId":"updateModule","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApplicationModule"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApplicationModule"}}}}}},"delete":{"tags":["module-resources"],"operationId":"deleteModule","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}}},"/api/dashboards/{id}":{"get":{"tags":["dashboard-controller"],"operationId":"getById_2","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Dashboard"}}}}}},"put":{"tags":["dashboard-controller"],"operationId":"update_4","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DashboardDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Dashboard"}}}}}},"delete":{"tags":["dashboard-controller"],"operationId":"delete_4","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}}},"/api/confirm-password":{"put":{"tags":["password-reset-controller"],"operationId":"resetPassword","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResetPasswordDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string"}}}}}}},"/sso-auth/sso/initiate":{"post":{"tags":["sso-controller"],"operationId":"initiateSso","requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"string"}}}}}}}},"/oauth/user-groups":{"get":{"tags":["user-groups-controller"],"operationId":"list","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/UserGroupDTO"}}}}}}},"post":{"tags":["user-groups-controller"],"operationId":"create","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserGroupDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UserGroupDTO"}}}}}}},"/oauth/user-groups/add-user/{groupId}":{"post":{"tags":["user-groups-controller"],"operationId":"addUsersToGroup","parameters":[{"name":"groupId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"integer","format":"int64"}}}},"required":true},"responses":{"200":{"description":"OK"}}}},"/oauth/update/app-users-profileId/profiletype/{profileType}/{accessType}/{profileId}":{"post":{"tags":["profile-permissions-resource"],"operationId":"updateProfilePermissiosn","parameters":[{"name":"profileType","in":"path","required":true,"schema":{"type":"string"}},{"name":"accessType","in":"path","required":true,"schema":{"type":"string"}},{"name":"profileId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"integer","format":"int64"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/oauth/update-feature-client/{clientId}":{"post":{"tags":["feature-client-resource"],"operationId":"updateFeatureClient","parameters":[{"name":"clientId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"integer","format":"int64"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/FeatureClientDTO"}}}}}}}},"/oauth/token":{"post":{"tags":["oauth-resource"],"operationId":"createExchangeToken","parameters":[{"name":"parameters","in":"query","required":true,"schema":{"type":"object","additionalProperties":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OauthTokenResponseV2"}}}}}}},"/oauth/roles":{"get":{"tags":["role-resource"],"operationId":"getAllRoles","parameters":[{"name":"moduleName","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/RoleDTO"}}}}}}},"post":{"tags":["role-resource"],"operationId":"createRole","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RoleDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RoleDTO"}}}}}}},"/oauth/roles/client/{clientId}":{"post":{"tags":["role-resource"],"operationId":"createRolesForClient","parameters":[{"name":"clientId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/RoleDTO"}}}}}}}},"/oauth/reset-user-password":{"post":{"tags":["app-user-resource"],"operationId":"resetUserPassword","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResetUserPasswordDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string"}}}}}}},"/oauth/post-consent":{"post":{"tags":["oauth-resource"],"operationId":"postConsent","parameters":[{"name":"parameters","in":"query","required":true,"schema":{"type":"object","additionalProperties":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ConsentMaster"}}}}}}},"/oauth/permissions":{"get":{"tags":["permission-resource"],"operationId":"getAllPermissions","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PermissionDTO"}}}}}}},"post":{"tags":["permission-resource"],"operationId":"createPermission","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PermissionDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PermissionDTO"}}}}}}},"/oauth/logout":{"post":{"tags":["oauth-resource"],"operationId":"logout","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string"}}}}}}},"/oauth/getConsent":{"post":{"tags":["oauth-resource"],"operationId":"getConsent","parameters":[{"name":"parameters","in":"query","required":true,"schema":{"type":"object","additionalProperties":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ConsentMasterDTO"}}}}}}},"/oauth/get-users-of-assigned-process":{"post":{"tags":["profile-permissions-resource"],"operationId":"getUsersOfassignedProcess","requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/oauth/get-users-by-processList":{"post":{"tags":["profile-permissions-resource"],"operationId":"assignControlOwner","requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/oauth/get-user-bylist":{"post":{"tags":["user-details-resource"],"operationId":"getUsersList","requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"integer","format":"int64"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/UserDTO"}}}}}}}},"/oauth/get-escalation-users":{"post":{"tags":["app-user-resource"],"operationId":"getEscalationUsers","requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"type":"integer","format":"int64"}}}}}}}},"/oauth/forgot-password":{"post":{"tags":["app-user-resource"],"operationId":"forgotPassword","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ForgotPasswordRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string"}}}}}}},"/oauth/features":{"get":{"tags":["feature-resource"],"operationId":"getAllFeatures","parameters":[{"name":"moduleName","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/FeatureDTO"}}}}}}},"post":{"tags":["feature-resource"],"operationId":"createFeature","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FeatureDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/FeatureDTO"}}}}}}},"/oauth/features/create-update":{"post":{"tags":["feature-client-resource"],"operationId":"createAndUpdateFeatureClients","requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/FeatureClientDTO"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/FeatureClientDTO"}}}}}}}},"/oauth/feature-permissions":{"get":{"tags":["feature-permission-resource"],"operationId":"getAllFeaturePermissions","parameters":[{"name":"moduleName","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/FeaturePermissionResponseDTO"}}}}}}},"post":{"tags":["feature-permission-resource"],"operationId":"createFeaturePermission","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FeaturePermissionDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/FeaturePermissionDTO"}}}}}}},"/oauth/entity-token":{"post":{"tags":["oauth-resource"],"operationId":"createToken","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntityTokenRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OauthTokenResponse"}}}}}}},"/oauth/delete-manual-permissions-of-user":{"post":{"tags":["profile-permissions-resource"],"operationId":"deleteManualAcessofProfileIds","requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/oauth/delete-current-permissions/{userId}/{profileType}":{"post":{"tags":["profile-permissions-resource"],"operationId":"deleteGivenPermissionsToUsers","parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"profileType","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/oauth/delete-all-except-control":{"post":{"tags":["profile-permissions-resource"],"operationId":"deleteGivenPermissionsToUsers_1","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/oauth/client-keys":{"get":{"tags":["app-user-resource"],"operationId":"getClientKey","parameters":[{"name":"email","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OauthClientDetailResponse"}}}}}},"post":{"tags":["app-user-resource"],"operationId":"createClientKey","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ClientKeyRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK"}}}},"/oauth/bulk-save-profile-permission":{"post":{"tags":["profile-permissions-resource"],"operationId":"saveBulk","requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{"type":"array","items":{"$ref":"#/components/schemas/ProfilePermissionResponseDTO"}}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/oauth/assign-profile-owner/{profileId}":{"post":{"tags":["profile-permissions-resource"],"operationId":"assignControlOwner_1","parameters":[{"name":"profileId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/oauth/ask-token":{"post":{"tags":["oauth-resource"],"operationId":"createAskToken","parameters":[{"name":"parameters","in":"query","required":true,"schema":{"type":"object","additionalProperties":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OauthTokenResponse"}}}}}}},"/oauth/app-users-profile/{id}":{"get":{"tags":["profile-permissions-resource"],"operationId":"getProfilePermisssions","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"profile","in":"query","required":false,"schema":{"type":"string","default":"ALL"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}},"post":{"tags":["profile-permissions-resource"],"operationId":"createAppUser_1","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ProfilePermissionDTO"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}},"delete":{"tags":["profile-permissions-resource"],"operationId":"getProfilePermisssions_1","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/oauth/app-users-details/{id}":{"post":{"tags":["user-details-resource"],"operationId":"createAppUser_2","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserDetailsDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/oauth/app-user-roles":{"get":{"tags":["app-user-role-resource"],"operationId":"getAllAppUserRoles","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AppUserRoleDTO"}}}}}}},"post":{"tags":["app-user-role-resource"],"operationId":"createAppUserRole","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AppUserRoleDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AppUserRoleDTO"}}}}}}},"/oauth/addfeatuespermission/{moduleId}":{"post":{"tags":["feature-permission-resource"],"operationId":"addindfeatureandrole","parameters":[{"name":"moduleId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/FeaturePermission"}}}}}}}},"/oauth/adddefaultpermission/{id}":{"post":{"tags":["feature-permission-resource"],"operationId":"adddefaultpermisssion","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/FeaturePermission"}}}}}}}},"/oauth/adddefaultpermission/{id}/{moduleId}":{"post":{"tags":["feature-permission-resource"],"operationId":"adddefaultpermisssion_1","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"moduleId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/FeaturePermission"}}}}}}}},"/oauth/add/app-users-profileId/profiletype/{profileType}/{profileId}/type/{userTypes}":{"post":{"tags":["profile-permissions-resource"],"operationId":"addAditionalProfilePermissiosn","parameters":[{"name":"profileType","in":"path","required":true,"schema":{"type":"string"}},{"name":"profileId","in":"path","required":true,"schema":{"type":"string"}},{"name":"userTypes","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"integer","format":"int64"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/oauth/add-current-permissions/{userId}/{profileType}":{"post":{"tags":["profile-permissions-resource"],"operationId":"addGivenPermissionsToUsers","parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"profileType","in":"query","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/oauth/accept-user-consent":{"post":{"tags":["oauth-resource"],"operationId":"acceptConsent","parameters":[{"name":"parameters","in":"query","required":true,"schema":{"type":"object","additionalProperties":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AcceptConsentResponseDTO"}}}}}}},"/internal/add-more-profile-process/{id}":{"post":{"tags":["user-token-resource"],"operationId":"addAdditionalProfiles","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/api/widgets":{"get":{"tags":["widget-controller"],"operationId":"getAll","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Widget"}}}}}}},"post":{"tags":["widget-controller"],"operationId":"create_1","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WidgetDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Widget"}}}}}}},"/api/user-preferences":{"get":{"tags":["user-preference-resource"],"operationId":"getUserPreference","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UserPreferenceDto"}}}}}},"post":{"tags":["user-preference-resource"],"operationId":"saveUserPreferences","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserPreferenceDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UserPreferenceDto"}}}}}},"delete":{"tags":["user-preference-resource"],"operationId":"deleteAllUserPreference","responses":{"200":{"description":"OK"}}},"patch":{"tags":["user-preference-resource"],"operationId":"patchUserPreference","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserPreferenceDto"}}},"required":true},"responses":{"200":{"description":"OK"}}}},"/api/set-bulk-user-upload":{"post":{"tags":["user-resources"],"operationId":"setBulkUserUpload","requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/UsersDTO"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"type":"string"}}}}}}}},"/api/sections":{"get":{"tags":["section-controller"],"operationId":"getAll_1","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Section"}}}}}}},"post":{"tags":["section-controller"],"operationId":"create_2","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SectionDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Section"}}}}}}},"/api/resend-password-reset":{"post":{"tags":["password-reset-controller"],"operationId":"resendPasswordLink","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ForgotPasswordReqDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string"}}}}}}},"/api/modules":{"get":{"tags":["module-resources"],"operationId":"getAllModules","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ApplicationModule"}}}}}}},"post":{"tags":["module-resources"],"operationId":"createModule","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApplicationModule"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApplicationModule"}}}}}}},"/api/forgot-password":{"post":{"tags":["password-reset-controller"],"operationId":"forgotPassword_1","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ForgotPasswordReqDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/api/dashboards":{"get":{"tags":["dashboard-controller"],"operationId":"getAll_2","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Dashboard"}}}}}}},"post":{"tags":["dashboard-controller"],"operationId":"create_3","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DashboardDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Dashboard"}}}}}}},"/api/configuration/edit/scoping-headers/{scopingId}":{"post":{"tags":["system-configuration-resource"],"operationId":"editScopingHeaders","parameters":[{"name":"scopingId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/api/configuration/clients/{code}":{"get":{"tags":["system-configuration-resource"],"operationId":"getClientConfiguration","parameters":[{"name":"code","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ClientConfiguration"}}}}}},"post":{"tags":["system-configuration-resource"],"operationId":"addOrUpdateClientConfiguration","parameters":[{"name":"code","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SystemConfigurationRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ClientConfiguration"}}}}}}},"/status-check":{"get":{"tags":["health-check-resource"],"operationId":"getStatusChecks","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/MessageVM"}}}}}}},"/sso-auth/sso/external/login":{"get":{"tags":["sso-controller"],"operationId":"externalSsoLogin","responses":{"200":{"description":"OK"}}}},"/sso-auth/sso/callback":{"get":{"tags":["sso-controller"],"operationId":"handleCallback","parameters":[{"name":"code","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}}}},"/oauth2/google-login":{"get":{"tags":["oauth-2-login-controller"],"operationId":"redirectToGoogle","responses":{"200":{"description":"OK"}}}},"/oauth/v3/users/{clientId}":{"get":{"tags":["app-user-resource"],"operationId":"getUsersUpdatedV3","parameters":[{"name":"clientId","in":"path","required":true,"schema":{"type":"string"}},{"name":"entityId","in":"query","required":false,"schema":{"type":"integer","format":"int64","default":0}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AppUserDTOV2"}}}}}}}},"/oauth/v3/user-id/{userId}":{"get":{"tags":["app-user-resource"],"operationId":"getUsersUpdatedV3_1","parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"entityId","in":"query","required":false,"schema":{"type":"integer","format":"int64","default":0}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AppUserDTOV2"}}}}}}},"/oauth/v2/users/{clientId}":{"get":{"tags":["app-user-resource"],"operationId":"getUsersUpdated","parameters":[{"name":"clientId","in":"path","required":true,"schema":{"type":"string"}},{"name":"entityId","in":"query","required":false,"schema":{"type":"integer","format":"int64","default":0}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AppUserDTOUpdated"}}}}}}}},"/oauth/users/{clientId}":{"get":{"tags":["app-user-resource"],"operationId":"getUsers","parameters":[{"name":"clientId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AppUserDTO"}}}}}}}},"/oauth/user-languages":{"get":{"tags":["app-user-resource"],"operationId":"getLanguages","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Language"}}}}}}}},"/oauth/user-groups/get-users-to-add/{id}":{"get":{"tags":["user-groups-controller"],"operationId":"getUsersToAdd","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/groupUsersDTO"}}}}}}}},"/oauth/roles-client/{clientId}":{"get":{"tags":["role-resource"],"operationId":"getAllRolesByClient","parameters":[{"name":"clientId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/RoleDTO"}}}}}}}},"/oauth/other-module-users/{email}":{"get":{"tags":["app-user-resource"],"operationId":"getOtherUsers","parameters":[{"name":"email","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AppUserDTO"}}}}}}}},"/oauth/get-user-status":{"get":{"tags":["user-details-resource"],"operationId":"getUserStatus","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"type":"string","enum":["ACTIVE","IN_ACTIVE","DELETED","BLOCKED"]}}}}}}}},"/oauth/get-permissions-of-user/{id}/{activity}":{"get":{"tags":["user-details-resource"],"operationId":"getPermissionsofUser","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"activity","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"type":"string"}}}}}}}},"/oauth/get-permission-users/{profileType}/profileId/{ProfileId}/clientId/{clientId}":{"get":{"tags":["profile-permissions-resource"],"operationId":"getUsersForProfileIdAndProfileType","parameters":[{"name":"clientId","in":"path","required":true,"schema":{"type":"string"}},{"name":"profileType","in":"path","required":true,"schema":{"type":"string"}},{"name":"ProfileId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/oauth/get-permission-users/{profileType}/clientId/{clientId}":{"get":{"tags":["profile-permissions-resource"],"operationId":"getUsersForProfileTypep","parameters":[{"name":"profileType","in":"path","required":true,"schema":{"type":"string"}},{"name":"clientId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/oauth/get-entity-details":{"get":{"tags":["oauth-resource"],"operationId":"getEntityData","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/EnitiyModuleRoleDTO"}}}}}}}},"/oauth/get-all-existing-cient-users/{clientId}":{"get":{"tags":["app-user-resource"],"operationId":"getAllExistingUsesOf","parameters":[{"name":"clientId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/allExistingUserDTO"}}}}}}}},"/oauth/existing-feature-permissions":{"get":{"tags":["feature-permission-resource"],"operationId":"getAllFeaturePermissions_1","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/FeaturePermission"}}}}}}}},"/oauth/client-users/{clientId}":{"get":{"tags":["app-user-resource"],"operationId":"getUserManagementUsers","parameters":[{"name":"clientId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AppUserDTO"}}}}}}}},"/oauth/client-feature-permissions":{"get":{"tags":["feature-permission-resource"],"operationId":"getRolesByClientAndRole","parameters":[{"name":"role","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/FeaturePermissionResponseDTO"}}}}}}}},"/oauth/check-user-permission-on-profile/profileId/{ProfileId}/userId/{userId}":{"get":{"tags":["profile-permissions-resource"],"operationId":"getUserPermissionsForProfileIdAndProfileType","parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"ProfileId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/oauth/approver-user/{clientId}":{"get":{"tags":["app-user-resource"],"operationId":"getApproverUser","parameters":[{"name":"clientId","in":"path","required":true,"schema":{"type":"string"}},{"name":"companyId","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AppUserDTO"}}}}}}},"/oauth/approval-workflow/{clientId}":{"get":{"tags":["feature-client-resource"],"operationId":"getApprovalWorkflow","parameters":[{"name":"clientId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"boolean"}}}}}}},"/oauth/app-users/{id}":{"get":{"tags":["app-user-resource"],"operationId":"getAppUser_1","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AppUserDTO"}}}}}}},"/oauth/app-users-profileId/{profileType}/{profileId}":{"get":{"tags":["profile-permissions-resource"],"operationId":"getUsersForProfilePermisssions","parameters":[{"name":"profileType","in":"path","required":true,"schema":{"type":"string"}},{"name":"profileId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/oauth/app-users-companyIds/{clientId}":{"get":{"tags":["app-user-resource"],"operationId":"comapnyIds","parameters":[{"name":"clientId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"type":"integer","format":"int64"}}}}}}}},"/oauth/app-users-companyIds/{clientId}/{companyId}":{"get":{"tags":["app-user-resource"],"operationId":"addCompanyIdtoUser","parameters":[{"name":"clientId","in":"path","required":true,"schema":{"type":"string"}},{"name":"companyId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"type":"integer","format":"int64"}}}}}}},"delete":{"tags":["app-user-resource"],"operationId":"entityDeletion","parameters":[{"name":"clientId","in":"path","required":true,"schema":{"type":"string"}},{"name":"companyId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"type":"integer","format":"int64"}}}}}}}},"/oauth/add/permissions-to-profileId/toProfile/{toProfile}/fromProfile/{profileId}/accesType/{accessType}/profileType/{profileType}/userId/{user}":{"get":{"tags":["profile-permissions-resource"],"operationId":"addMultipleProfileForUser","parameters":[{"name":"user","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"profileId","in":"path","required":true,"schema":{"type":"string"}},{"name":"toProfile","in":"path","required":true,"schema":{"type":"string"}},{"name":"accessType","in":"path","required":true,"schema":{"type":"string"}},{"name":"profileType","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/internal/user-token/{userid}":{"get":{"tags":["user-token-resource"],"operationId":"createToken_1","parameters":[{"name":"userid","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"moduleId","in":"query","required":false,"schema":{"type":"string","default":""}},{"name":"entityId","in":"query","required":false,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OauthAccessToken"}}}}}}},"/internal/update-feature-permission/{id}":{"get":{"tags":["user-token-resource"],"operationId":"addAllFeaturePermissions","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/internal/update-client-admin":{"get":{"tags":["user-token-resource"],"operationId":"updateClientAdminPermissions","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/internal/system-token":{"get":{"tags":["user-token-resource"],"operationId":"getSystemToken","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OauthAccessToken"}}}}}}},"/internal/set-all-as-IC":{"get":{"tags":["user-token-resource"],"operationId":"setAllAsIC","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/internal/get-modules-of-client/{clientId}":{"get":{"tags":["user-token-resource"],"operationId":"getModulesOfClient","parameters":[{"name":"clientId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"type":"string"}}}}}}}},"/internal/default-module":{"get":{"tags":["user-token-resource"],"operationId":"setDefaultModule","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/internal/assign-roles-to-users":{"get":{"tags":["user-token-resource"],"operationId":"assignroles","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/internal/assign-role-module":{"get":{"tags":["user-token-resource"],"operationId":"assignfeatureModule","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/internal/assign-new-feature-to-all-clients/{id}":{"get":{"tags":["user-token-resource"],"operationId":"assignNewFeature","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/internal/assign-features-module":{"get":{"tags":["user-token-resource"],"operationId":"assignfeattures","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/api/users/module":{"get":{"tags":["user-resources"],"operationId":"getUsersModules","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UserClientModuleResponceDTO"}}}}}}},"/api/user-preferences/{feature}":{"get":{"tags":["user-preference-resource"],"operationId":"getUserPreference_1","parameters":[{"name":"feature","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/api/modules/get-client-modules":{"get":{"tags":["module-resources"],"operationId":"getAllClientModules","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ApplicationModule"}}}}}}}},"/api/dashboards/{id}/structure":{"get":{"tags":["dashboard-controller"],"operationId":"getDashboardStructure","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DashboardResponseDTO"}}}}}}},"/api/dashboards/widget-by-dashboard/{dashboardId}":{"get":{"tags":["dashboard-controller"],"operationId":"getWidgetsByDashboard","parameters":[{"name":"dashboardId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Widget"}}}}}}}},"/api/dashboards/set-default-dashboard/{clientId}":{"get":{"tags":["dashboard-controller"],"operationId":"serDefaultDashboard","parameters":[{"name":"clientId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}}}},"/api/dashboards/get-permissions-dashboard/{roleId}":{"get":{"tags":["dashboard-controller"],"operationId":"getByPermissions","parameters":[{"name":"roleId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Dashboard"}}}}}}}},"/api/dashboards/get-dashboards":{"get":{"tags":["dashboard-controller"],"operationId":"getDashboardsForSidePanel","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Dashboard"}}}}}}}},"/api/dashboards/by-dashboard/{dashboardId}":{"get":{"tags":["dashboard-controller"],"operationId":"getSectionsByDashboard","parameters":[{"name":"dashboardId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Section"}}}}}}}},"/api/dashboards/by-client/{clientId}":{"get":{"tags":["dashboard-controller"],"operationId":"getDashboardsByClient","parameters":[{"name":"clientId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Dashboard"}}}}}}}},"/api/configuration/scoping-headers/{scopingId}":{"get":{"tags":["system-configuration-resource"],"operationId":"getScopingHeaders","parameters":[{"name":"scopingId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/api/clients/{code}":{"get":{"tags":["user-resources"],"operationId":"getClient","parameters":[{"name":"code","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ClientDTO"}}}}}}},"/api/approver-user/{clientId}":{"get":{"tags":["user-resources"],"operationId":"getApproverUser_1","parameters":[{"name":"clientId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UserDTO"}}}}}}},"/oauth/feature-client/{id}":{"delete":{"tags":["feature-client-resource"],"operationId":"deleteFeatureClient","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}}},"/oauth/app-users/{clientId}":{"delete":{"tags":["app-user-resource"],"operationId":"deleteAppUser","parameters":[{"name":"userIds","in":"query","required":true,"schema":{"type":"array","items":{"type":"integer","format":"int64"}}},{"name":"clientId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}}}},"/api/users/{userId}/{clientCode}":{"delete":{"tags":["user-resources"],"operationId":"delete_2","parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"clientCode","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}}}},"/api/configuration/clients/{code}/{key}":{"delete":{"tags":["system-configuration-resource"],"operationId":"deleteClientConfiguration","parameters":[{"name":"code","in":"path","required":true,"schema":{"type":"string"}},{"name":"key","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}}},"components":{"schemas":{"UserGroupDTO":{"required":["name"],"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"description":{"type":"string"},"totalUsers":{"type":"integer","format":"int64"}}},"RoleDTO":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"displayName":{"type":"string"},"permissionIds":{"type":"array","items":{"type":"integer","format":"int64"}},"permissions":{"type":"array","items":{"type":"string"}},"widgetPermissionIds":{"type":"array","items":{"type":"integer","format":"int64"}},"clientId":{"type":"string"},"isActive":{"type":"boolean"},"description":{"type":"string"}}},"PermissionDTO":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"isActive":{"type":"boolean"}}},"FeatureDTO":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"featureName":{"type":"string"},"subFeatureName":{"type":"string"},"moduleName":{"type":"string"},"isActive":{"type":"boolean"},"description":{"type":"string"},"subModuleName":{"type":"string"}}},"FeaturePermissionDTO":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"isActive":{"type":"boolean"},"featureId":{"type":"integer","format":"int64"},"permissionId":{"type":"integer","format":"int64"},"active":{"type":"boolean"}}},"FeatureClientDTO":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"featureId":{"type":"integer","format":"int64"},"clientId":{"type":"string"},"isActive":{"type":"boolean"}}},"AppUserDTO":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"firstName":{"type":"string"},"lastName":{"type":"string"},"userName":{"type":"string"},"email":{"type":"string"},"password":{"type":"string"},"status":{"type":"boolean"},"clientId":{"type":"string"},"designation":{"type":"string"},"address":{"type":"string"},"secondaryEmail":{"type":"string"},"contactNo":{"type":"string"},"escalationUserId":{"type":"integer","format":"int64"},"userStatus":{"type":"string"},"appUserRoles":{"type":"array","items":{"$ref":"#/components/schemas/AppUserRoleDTO"}},"permissionResponseDTOS":{"type":"array","items":{"$ref":"#/components/schemas/PermissionResponseDTO"}},"profilePermissionResponseDTOS":{"type":"array","items":{"$ref":"#/components/schemas/ProfilePermissionResponseDTO"}},"roleType":{"type":"string"},"preferredLanguage":{"type":"string"},"companyIds":{"type":"array","items":{"type":"integer","format":"int64"}},"companyIdsAndRoles":{"type":"object","additionalProperties":{"type":"array","items":{"type":"integer","format":"int64"}}},"mobileNumber":{"type":"string"},"module":{"type":"string"},"subModules":{"type":"array","items":{"type":"integer","format":"int64"}},"lastUpdatedAt":{"type":"string"},"selfSignUp":{"type":"boolean"},"admin":{"type":"boolean"},"lastUpdatedBy":{"type":"string"}}},"AppUserRoleDTO":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"appUserId":{"type":"integer","format":"int64"},"roleId":{"type":"integer","format":"int64"},"displayRoleName":{"type":"string"},"permissionIds":{"type":"array","items":{"type":"integer","format":"int64"}},"isActive":{"type":"boolean"},"featurePermissionDTOS":{"type":"array","items":{"$ref":"#/components/schemas/FeaturePermissionDTO"}},"permissionResponseDTOS":{"type":"array","items":{"$ref":"#/components/schemas/PermissionResponseDTO"}}}},"PermissionResponseDTO":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"permissionName":{"type":"string"},"featurePermissionId":{"type":"integer","format":"int64"},"featureName":{"type":"string"},"subFeatureName":{"type":"string"},"displayName":{"type":"string"},"status":{"type":"boolean"}}},"ProfilePermissionResponseDTO":{"type":"object","properties":{"profileId":{"type":"string"},"assingBy":{"type":"string"},"profileType":{"type":"string"}}},"WidgetDTO":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"sectionId":{"type":"integer","format":"int64"},"name":{"type":"string"},"config":{"type":"string"},"position":{"type":"integer","format":"int32"}}},"Dashboard":{"type":"object","properties":{"isActive":{"type":"boolean"},"id":{"type":"integer","format":"int64"},"clientId":{"type":"string"},"moduleId":{"type":"string"},"name":{"type":"string"},"description":{"type":"string"},"sections":{"type":"array","items":{"$ref":"#/components/schemas/Section"}}}},"Section":{"type":"object","properties":{"isActive":{"type":"boolean"},"id":{"type":"integer","format":"int64"},"dashboard":{"$ref":"#/components/schemas/Dashboard"},"widgets":{"type":"array","items":{"$ref":"#/components/schemas/Widget"}},"name":{"type":"string"},"position":{"type":"integer","format":"int32"}}},"Widget":{"type":"object","properties":{"isActive":{"type":"boolean"},"id":{"type":"integer","format":"int64"},"section":{"$ref":"#/components/schemas/Section"},"name":{"type":"string"},"config":{"type":"string"},"position":{"type":"integer","format":"int32"}}},"UsersDTO":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"linking":{"type":"boolean"},"email":{"type":"string"},"status":{"type":"boolean"},"firstName":{"type":"string"},"lastName":{"type":"string"},"userName":{"type":"string"},"password":{"type":"string"},"designation":{"type":"string"},"roleType":{"type":"string"},"clientId":{"type":"string"},"companyIdsAndRoles":{"type":"object","additionalProperties":{"type":"array","items":{"type":"integer","format":"int64"}}},"mobileNumber":{"type":"string"},"escalationUserId":{"type":"integer","format":"int64"},"subModules":{"type":"array","items":{"type":"integer","format":"int64"}},"address":{"type":"string"},"primaryEmail":{"type":"string"},"secondaryEmail":{"type":"string"},"contactNo":{"type":"string"},"userStatus":{"type":"string"},"language_id":{"type":"integer","format":"int32"},"processInformationDTOS":{"type":"array","items":{"type":"string"}},"selfSignUp":{"type":"boolean"}}},"userclientmoduleDTO":{"type":"object","properties":{"userId":{"type":"integer","format":"int64"},"userDTO":{"type":"array","items":{"$ref":"#/components/schemas/UsersDTO"}}}},"ObjectId":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int32"},"date":{"type":"string","format":"date-time"}}},"UserClientModuleResponceDTO":{"type":"object","properties":{"id":{"$ref":"#/components/schemas/ObjectId"},"docId":{"type":"string"},"userDTO":{"$ref":"#/components/schemas/UserDTO"}}},"UserDTO":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"firstName":{"type":"string"},"lastName":{"type":"string"},"email":{"type":"string"},"escalationUserId":{"type":"integer","format":"int64"}}},"SectionDTO":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"dashboardId":{"type":"integer","format":"int64"},"name":{"type":"string"},"position":{"type":"integer","format":"int32"}}},"ApplicationModule":{"type":"object","properties":{"isActive":{"type":"boolean"},"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"description":{"type":"string"},"code":{"type":"string"}}},"DashboardDTO":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"description":{"type":"string"}}},"ResetPasswordDTO":{"type":"object","properties":{"newPassword":{"type":"string"}}},"EnitiyModuleRoleDTO":{"type":"object","properties":{"moduleId":{"type":"integer","format":"int64"},"moduleName":{"type":"string"},"moduleCode":{"type":"string"},"entites":{"type":"array","items":{"$ref":"#/components/schemas/EntityDTO"}}}},"EntityDTO":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"entityName":{"type":"string"},"roles":{"type":"array","items":{"type":"string"}}}},"OauthTokenResponseV2":{"type":"object","properties":{"scope":{"type":"string"},"entityData":{"type":"array","items":{"$ref":"#/components/schemas/EnitiyModuleRoleDTO"}},"consentAccept":{"type":"boolean"},"exchange_token":{"type":"string"},"refresh_token":{"type":"string"},"expires_in":{"type":"integer","format":"int64"},"token_type":{"type":"string"}}},"ResetUserPasswordDTO":{"type":"object","properties":{"email":{"type":"string"},"oldPassword":{"type":"string"},"newPassword":{"type":"string"}}},"ConsentMaster":{"type":"object","properties":{"id":{"type":"string"},"consentVersion":{"type":"integer","format":"int64"},"htmlContent":{"type":"string"},"createdByUserId":{"type":"integer","format":"int64"},"createdAt":{"type":"string","format":"date-time"}}},"ConsentMasterDTO":{"type":"object","properties":{"consentVersion":{"type":"integer","format":"int64"},"htmlContent":{"type":"string"}}},"ForgotPasswordRequestDTO":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"email":{"type":"string"},"newPassword":{"type":"string"}}},"EntityTokenRequestDTO":{"type":"object","properties":{"entityId":{"type":"integer","format":"int64"},"moduleId":{"type":"integer","format":"int64"}}},"OauthTokenResponse":{"type":"object","properties":{"scope":{"type":"string"},"access_token":{"type":"string"},"refresh_token":{"type":"string"},"expires_in":{"type":"integer","format":"int64"},"token_type":{"type":"string"}}},"ClientKeyRequestDTO":{"type":"object","properties":{"clientId":{"type":"string"}}},"ProfilePermissionDTO":{"type":"object","properties":{"profileId":{"type":"string"},"profileType":{"type":"string"},"status":{"type":"string"},"userType":{"type":"string"}}},"UserDetailsDTO":{"type":"object","properties":{"address":{"type":"string"},"primaryEmail":{"type":"string"},"secondaryEmail":{"type":"string"},"contactNo":{"type":"string"},"userStatus":{"type":"string"},"language_id":{"type":"integer","format":"int32"}}},"Feature":{"type":"object","properties":{"isActive":{"type":"boolean"},"id":{"type":"integer","format":"int64"},"featureName":{"type":"string"},"subFeatureName":{"type":"string"},"moduleName":{"type":"string"},"description":{"type":"string"},"displayName":{"type":"string"},"moduleId":{"$ref":"#/components/schemas/ApplicationModule"}}},"FeaturePermission":{"type":"object","properties":{"isActive":{"type":"boolean"},"id":{"type":"integer","format":"int64"},"feature":{"$ref":"#/components/schemas/Feature"},"permission":{"$ref":"#/components/schemas/Permission"},"module":{"type":"integer","format":"int64"},"default":{"type":"boolean"}}},"Permission":{"type":"object","properties":{"isActive":{"type":"boolean"},"id":{"type":"integer","format":"int64"},"name":{"type":"string"}}},"AcceptConsentResponseDTO":{"type":"object","properties":{"status":{"type":"string"},"message":{"type":"string"},"consentVersion":{"type":"integer","format":"int64"},"acceptedAt":{"type":"string","format":"date-time"}}},"UserPreferenceDto":{"type":"object","properties":{"preferences":{"type":"object","additionalProperties":{"type":"object"}}}},"ForgotPasswordReqDTO":{"type":"object","properties":{"email":{"type":"string"},"baseUrl":{"type":"string"}}},"SystemConfigurationRequestDTO":{"type":"object","properties":{"configuration":{"type":"object","additionalProperties":{"type":"string"}}}},"ClientConfiguration":{"type":"object","properties":{"id":{"type":"string"},"clientId":{"type":"string"},"configuration":{"type":"object","additionalProperties":{"type":"string"}},"createdBy":{"type":"string"},"createdDate":{"type":"integer","format":"int64"},"updatedBy":{"type":"string"},"updatedDate":{"type":"integer","format":"int64"}}},"MessageVM":{"type":"object","properties":{"message":{"type":"string"}}},"AppUserDTOV2":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"firstName":{"type":"string"},"lastName":{"type":"string"},"userName":{"type":"string"},"email":{"type":"string"},"permissions":{"type":"array","items":{"type":"string"}},"active":{"type":"boolean"}}},"AppUserDTOUpdated":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"firstName":{"type":"string"},"lastName":{"type":"string"},"userName":{"type":"string"},"email":{"type":"string"},"password":{"type":"string"},"status":{"type":"boolean"},"clientId":{"type":"string"},"designation":{"type":"string"},"address":{"type":"string"},"secondaryEmail":{"type":"string"},"contactNo":{"type":"string"},"userStatus":{"type":"string"},"appUserRoles":{"type":"array","items":{"$ref":"#/components/schemas/AppUserRoleDTO"}},"permissionResponseDTOS":{"type":"array","items":{"$ref":"#/components/schemas/PermissionResponseDTO"}},"profilePermissionResponseDTOS":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}},"roleType":{"type":"string"},"companyIdsAndRoles":{"type":"object","additionalProperties":{"type":"array","items":{"type":"integer","format":"int64"}}},"mobileNumber":{"type":"string"},"subModules":{"type":"array","items":{"type":"integer","format":"int64"}},"selfSignUp":{"type":"boolean"}}},"Language":{"type":"object","properties":{"isActive":{"type":"boolean"},"languageId":{"type":"integer","format":"int64"},"code":{"type":"string"},"name":{"type":"string"},"displayName":{"type":"string"}}},"groupUsersDTO":{"type":"object","properties":{"firstName":{"type":"string"},"lastName":{"type":"string"},"email":{"type":"string"},"id":{"type":"integer","format":"int64"},"status":{"type":"string"}}},"allExistingUserDTO":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"firstName":{"type":"string"},"lastName":{"type":"string"},"email":{"type":"string"}}},"FeaturePermissionResponseDTO":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"featureId":{"type":"integer","format":"int64"},"featureName":{"type":"string"},"subFeatureName":{"type":"string"},"displayName":{"type":"string"},"permissionResponseDTOS":{"type":"array","items":{"$ref":"#/components/schemas/PermissionResponseDTO"}}}},"FeatureClientResponseDTO":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"featureId":{"type":"integer","format":"int64"},"clientId":{"type":"string"},"isActive":{"type":"boolean"}}},"OauthClientDetailResponse":{"type":"object","properties":{"clientId":{"type":"string"},"oauthClientId":{"type":"string"},"clientSecret":{"type":"string"}}},"OauthAccessToken":{"type":"object","properties":{"isActive":{"type":"boolean"},"id":{"type":"integer","format":"int64"},"tokenId":{"type":"string"},"token":{"type":"string"},"refreshTokenId":{"type":"string"},"username":{"type":"string"},"clientId":{"type":"string"},"deviceInfo":{"type":"string"},"tokenType":{"type":"string","enum":["ACCESS_TOKEN","EXCHANGE_TOKEN","EXTENDED_TOKEN","REFRESH_TOKEN","RESET_TOKEN"]},"remoteIp":{"type":"string"},"signature":{"type":"string"},"module":{"type":"integer","format":"int64"},"appUserId":{"type":"integer","format":"int64"},"authorities":{"type":"string"}}},"DashboardResponseDTO":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"description":{"type":"string"},"sections":{"type":"array","items":{"$ref":"#/components/schemas/SectionDTO"}}}},"ClientDTO":{"type":"object","properties":{"id":{"$ref":"#/components/schemas/ObjectId"},"name":{"type":"string"},"code":{"type":"string"},"type":{"type":"string"},"fiscalPeriodId":{"type":"integer","format":"int64"},"fiscalFrequencyId":{"type":"integer","format":"int64"},"status":{"type":"boolean"},"websiteUrl":{"type":"string"},"fax":{"type":"string"},"email":{"type":"string"},"phoneNumber":{"type":"string"},"address":{"type":"object"},"logoImagePath":{"type":"string"},"countryCode":{"type":"string"},"dbHandle":{"type":"string"},"region":{"type":"string"},"businessRegion":{"type":"string"},"docId":{"type":"string"},"userDTOS":{"type":"array","items":{"$ref":"#/components/schemas/UserDTO"}},"featureClientIds":{"type":"array","items":{"type":"integer","format":"int64"}},"applicationType":{"type":"string","enum":["ASK","ARC","GRC"]}}}},"securitySchemes":{"auth":{"type":"http","in":"header","scheme":"bearer","bearerFormat":"JWT"}}}}